> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Org

> Retrieve a list of Orgs with a complex or simple query.



## OpenAPI

````yaml post /v2/query/glasscore/org
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/query/glasscore/org:
    post:
      tags:
        - Org
      summary: Query Org
      description: Retrieve a list of Orgs with a complex or simple query.
      operationId: QueryOrg
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of Orgs
          content:
            application/json:
              schema:
                type: object
                properties:
                  city:
                    type: string
                    description: >-
                      Represents the municipality where the organization is
                      located.
                  cityState:
                    type: string
                    description: >-
                      Represents the city and state where the organization is
                      located.
                  clearbitLogo:
                    type: string
                    description: >-
                      Stores the URL of the organization's logo obtained from
                      Clearbit.
                  email:
                    type: string
                    description: >-
                      Stores the electronic mail address associated with the
                      organization.
                  fax:
                    type: string
                    description: Stores the facsimile contact number for the organization.
                  FeeScheduleId:
                    type: number
                    nullable: true
                    description: >-
                      Identifies the specific fee schedule associated with an
                      organization.
                  id:
                    type: number
                    description: Unique identifier.
                  isTenantOrg:
                    type: boolean
                    nullable: true
                    description: Indicates whether the organization is a tenant or not.
                  name:
                    type: string
                    description: Name of org.
                  Parent~OrgId:
                    type: number
                    nullable: true
                    description: >-
                      Identifies the unique identifier of the parent
                      organization in the Org table.
                  phone:
                    type: string
                    description: Stores the contact number for the organization.
                  state:
                    type: string
                    description: >-
                      Represents the geographical region within a country where
                      the organization is located.
                  streetPrimary:
                    type: string
                    description: Main street address associated with the organization.
                  streetSecondary:
                    type: string
                    description: >-
                      Contains additional address information such as apartment
                      or suite number for the organization.
                  zip:
                    type: string
                    description: Stores the postal code for the organization's location.
                required:
                  - city
                  - cityState
                  - clearbitLogo
                  - email
                  - fax
                  - FeeScheduleId
                  - id
                  - isTenantOrg
                  - name
                  - Parent~OrgId
                  - phone
                  - state
                  - streetPrimary
                  - streetSecondary
                  - zip
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````